Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### asin()

Examples

    float a = PI/3;
    float s = sin(a);
    float as = asin(s);
    // Prints "1.0471976 : 0.86602545 : 1.0471976"
    println(a + " : " + s + " : " +  as);

    float a = PI + PI/3.0;
    float s = sin(a);
    float as = asin(s);
    // Prints "4.1887903 : -0.86602545 : -1.0471976"
    println(a + " : " + s + " : " +  as);

Description | The inverse of sin(), returns the arc sine of a value. This function expects the values in the range of -1 to 1 and values are returned in the range -PI/2 to PI/2.

Syntax

    asin(value)

Parameters

value | float: the value whose arc sine is to be returned

Returns | float
Usage | Web & Application
Related | sin() acos() atan()

Updated on November 22, 2008 08:39:26pm PST